org.apache.felix.ipojo.bnd

## Class ResourceMetadataProvider

- java.lang.Object
- - org.apache.felix.ipojo.bnd.ResourceMetadataProvider

All Implemented Interfaces:
  org.apache.felix.ipojo.manipulator.MetadataProvider

    public class ResourceMetadataProvider
    extends Object
    implements org.apache.felix.ipojo.manipulator.MetadataProvider

A `ResourceMetadataProvider` is ...

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ResourceMetadataProvider(aQute.bnd.osgi.Resource resource, org.apache.felix.ipojo.manipulator.Reporter reporter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.apache.felix.ipojo.metadata.Element>` `getMetadatas()`
`void` `setValidateUsingLocalSchemas(boolean validateUsingLocalSchemas)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceMetadataProvider

    public ResourceMetadataProvider(aQute.bnd.osgi.Resource resource,
                                    org.apache.felix.ipojo.manipulator.Reporter reporter)

### Method Detail

#### setValidateUsingLocalSchemas

    public void setValidateUsingLocalSchemas(boolean validateUsingLocalSchemas)

#### getMetadatas

    public List<org.apache.felix.ipojo.metadata.Element> getMetadatas()
                                                               throws IOException

Specified by:
  `getMetadatas` in interface `org.apache.felix.ipojo.manipulator.MetadataProvider`
Throws:
  `IOException`